Bug 847871 - Submitting new bug against product with space fails
Submitting new bug against product with space fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eclipse-mylyn-tasks (Show other bugs)
17
All Linux
high Severity high
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 17:12 EDT by Roland Grunberg
Modified: 2014-01-12 19:27 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-28 19:34:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roland Grunberg 2012-08-13 17:12:56 EDT
I kept getting the following stack trace when attempting to submit a new bug against a product that contained a space. (eg. Linux Tools).

java.lang.IllegalArgumentException: Invalid uri '/bugs/enter_bug.cgi?product=Linux Tools': Invalid query
	at org.apache.commons.httpclient.HttpMethodBase.<init>(Unknown Source)
	at org.apache.commons.httpclient.methods.GetMethod.<init>(Unknown Source)
	at org.eclipse.mylyn.internal.bugzilla.core.GzipGetMethod.<init>(GzipGetMethod.java:45)
	at org.eclipse.mylyn.internal.bugzilla.core.BugzillaClient.getTokenInternal(BugzillaClient.java:1245)
	at org.eclipse.mylyn.internal.bugzilla.core.BugzillaClient.postTaskDataInternal(BugzillaClient.java:1313)
	at org.eclipse.mylyn.internal.bugzilla.core.BugzillaClient.postTaskData(BugzillaClient.java:1204)
	at org.eclipse.mylyn.internal.bugzilla.core.BugzillaTaskDataHandler.postTaskData(BugzillaTaskDataHandler.java:415)
	at org.eclipse.mylyn.internal.tasks.core.sync.SubmitTaskJob.run(SubmitTaskJob.java:101)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:54)
	

After looking at upstream for solutions, I found this :

https://bugs.eclipse.org/bugs/show_bug.cgi?format=multiple&id=382194

It would seem to be fixed in a snapshot build of 3.8.
Comment 1 Roland Grunberg 2012-08-15 16:33:54 EDT
It seems that this is fixed in Mylyn Tasks 3.8.1 (https://bugs.eclipse.org/bugs/buglist.cgi?query_format=advanced;product=Mylyn%20Tasks;target_milestone=3.8.1)
Comment 2 Fedora Update System 2012-08-20 09:36:23 EDT
eclipse-mylyn-3.8.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/eclipse-mylyn-3.8.1-1.fc17
Comment 3 Fedora Update System 2012-08-21 05:49:02 EDT
Package eclipse-mylyn-3.8.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing eclipse-mylyn-3.8.1-1.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12348/eclipse-mylyn-3.8.1-1.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-08-28 19:34:53 EDT
eclipse-mylyn-3.8.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.